import pm2 from 'pm2';
import { logger } from './logger.ts';

export async function reload() {
  return new Promise<void>((resolve, reject) => {
    pm2.connect((err) => {
      if (err) {
        logger.error('PM2 connection error:', err);
        return reject(err);
      }

      pm2.reload('assistant-server', (err) => {
        if (err) {
          logger.error('PM2 reload error:', err);
          pm2.disconnect();
          return reject(err);
        }

        logger.info('PM2 server reloaded successfully');
        pm2.disconnect();
        resolve();
      });
    });
  });
}
