import { app, assistantConfig } from '@/app.ts';
import { reload } from '../../module/reload-server.ts';

app
  .route({
    path: 'config',
    description: '获取配置',
    middleware: ['admin-auth'],
  })
  .define(async (ctx) => {
    ctx.body = assistantConfig.getCacheAssistantConfig();
  })
  .addTo(app);

app
  .route({
    path: 'config',
    key: 'set',
    description: '设置配置',
    middleware: ['admin-auth'],
  })
  .define(async (ctx) => {
    const { data } = ctx.query;
    ctx.body = assistantConfig.setConfig(data);
    reload();
  })
  .addTo(app);
