import { program, Command } from '@/program.ts';
import { execSync } from 'node:child_process';

const update = new Command('update')
  .option('-g --global', 'update global')
  .description('update cli')
  .action((opts) => {
    try {
      const cmd = opts.global ? 'npm install -g @kevisual/envision-cli' : 'npm install -D @kevisual/envision-cli';
      execSync(cmd, { stdio: 'inherit', encoding: 'utf-8' });
    } catch (error) {
      console.error('Error updating CLI:', error);
    }
  });

program.addCommand(update);
